XMLMessage (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.message, class: XMLMessage

Package org.apache.cxf.message

# Class XMLMessage

java.lang.Object
org.apache.cxf.message.AbstractWrappedMessage
org.apache.cxf.message.XMLMessage

All Implemented Interfaces:
  `Map<String,Object>`, `Message`, `StringMap`

public class XMLMessage extends AbstractWrappedMessage

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Field Summary

  ### Fields inherited from interface org.apache.cxf.message.Message

  `ACCEPT_CONTENT_TYPE, ASYNC_POST_RESPONSE_DISPATCH, ATTACHMENTS, BASE_PATH, CONNECTION_TIMEOUT, CONTENT_TRANSFER_ENCODING, CONTENT_TYPE, DECOUPLED_CHANNEL_MESSAGE, EMPTY_PARTIAL_RESPONSE_MESSAGE, ENCODING, ENDPOINT_ADDRESS, ERROR_MESSAGE, EXCEPTION_CAUSE_SUFFIX, EXCEPTION_MESSAGE_CAUSE_ENABLED, FAULT_IN_INTERCEPTORS, FAULT_OUT_INTERCEPTORS, FAULT_STACKTRACE_ENABLED, FIXED_PARAMETER_ORDER, HTTP_REQUEST_METHOD, IN_INTERCEPTORS, INBOUND_MESSAGE, INTERCEPTOR_PROVIDERS, INVOCATION_CONTEXT, MAINTAIN_SESSION, MIME_HEADERS, MTOM_ENABLED, MTOM_THRESHOLD, ONE_WAY_REQUEST, OUT_INTERCEPTORS, PARTIAL_ATTACHMENTS_MESSAGE, PARTIAL_RESPONSE_MESSAGE, PATH_INFO, PROCESS_202_RESPONSE_ONEWAY_OR_PARTIAL, PROCESS_ONEWAY_RESPONSE, PROPAGATE_202_RESPONSE_ONEWAY_OR_PARTIAL, PROPOGATE_EXCEPTION, PROTOCOL_HEADERS, QUERY_STRING, RECEIVE_TIMEOUT, REQUEST_URI, REQUEST_URL, REQUESTOR_ROLE, RESPONSE_CODE, REST_MESSAGE, ROBUST_ONEWAY, SCHEMA_VALIDATION_ENABLED, SCHEMA_VALIDATION_TYPE, SERVICE_OBJECT, THREAD_CONTEXT_SWITCHED, THREAD_SAFE_STAX_FACTORIES, TRANSPORT, WSDL_DESCRIPTION, WSDL_INTERFACE, WSDL_OPERATION, WSDL_PORT, WSDL_SERVICE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLMessage(Message message)`

- ## Method Summary

  ### Methods inherited from class org.apache.cxf.message.AbstractWrappedMessage

  `clear, containsKey, containsValue, entrySet, equals, get, get, getAttachments, getContent, getContentFormats, getContextualProperty, getContextualPropertyKeys, getDestination, getExchange, getId, getInterceptorChain, getMessage, hashCode, isEmpty, keySet, put, put, putAll, remove, remove, removeContent, resetContextCache, setAttachments, setContent, setExchange, setId, setInterceptorChain, setMessage, size, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Constructor Details

  - ### XMLMessage

    public XMLMessage(Message message)